Reinforcement HelicalRebar: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
(21 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>
<!--T:21-->
{{docnav|[[Arch_Rebar_Stirrup|Stirrup Rebar]]|[[Arch_Rebar_ColumnReinforcement|ColumnReinforcement]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar_Stirrup.svg|IconC=Workbench_Arch.svg |IconR=Arch_Rebar_ColumnReinforcement.svg}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommandAddon|Name=Arch Rebar Helical|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar|Arch Rebar]]}}
|Name=Arch Rebar Helical
|MenuLocation=Arch → Rebar tools
|Workbenches=[[Arch Workbench|Arch]], [[BIM Workbench|BIM]]
|SeeAlso=[[Arch_Rebar_Stirrup|Stirrup Rebar]], [[Arch_Rebar_ColumnReinforcement|Column Reinforcement]]
|Version=0.17
}}


==Description== <!--T:2-->
==Description== <!--T:2-->


<!--T:3-->
<!--T:3-->
The {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Helical Rebar}} tool allows user to create a helical reinforcing bar in the structural element.
The [[Arch Rebar Helical|Helical Rebar]] tool allows the user to create a continuous helical reinforcing bar inside an [[Arch Structure]] object.


<!--T:16-->
This command is part of the [[Reinforcement Addon]], that you can install with the [[Addon Manager]], via the menu {{MenuCommand|Tools → Addon manager → Reinforcement}}.

</translate>
[[Image:Arch_Rebar_Helical_example.png|80px]]
<translate>
<!--T:4-->
<!--T:4-->
{{Caption|One continuous helical reinforcement bar inside an [[Arch Structure]]}}
[[Image:HelicalRebar.png|800px]]


==How to use== <!--T:5-->
==How to use== <!--T:5-->


<!--T:6-->
<!--T:6-->
# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}} object.
# Create a [[Arch Structure|structure]] element
# Then select {{Button|[[Image:Arch_Rebar_Helical.svg|16px]] [[Arch Rebar Helical|Helical Rebar]]}} from the rebar tools.
# Select any face of the structure
# A task panel will pop-out on the left side of the screen as shown below.
# Then select {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Helical Rebar}} from the rebar tools
# Select the desired orientation.
# A task panel will pop-out on the left side of the screen as shown below [[Image:HelicalRebarDialog.png|250px]]
# Give the inputs like front cover, right side cover, left side cover, bottom cover and diameter of the rebar.
# Select the desired orientation
# Select the mode of distribution either amount or spacing.
# Give the inputs like front cover, right side cover, left side cover, bottom cover and diameter of the rebar
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]].
# Select the mode of distribution either amount or spacing
# Pick selected face is used to verify or change the face for rebar distribution.
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Click {{Button|OK}} or {{Button|Apply}} to generate the rebars.
# Pick selected face is used to verify or change the face for rebar distribution
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Click {{Button|Cancel}} to exit the task panel.

# Click {{KEY|Cancel}} to exit the task panel
<!--T:17-->
[[Image:HelicalRebarDialog.png|250px]]
{{Caption|Taskview panel for the Arch Rebar Helical tool}}


==Properties== <!--T:7-->
==Properties== <!--T:7-->
Line 37: Line 55:


==Scripting== <!--T:9-->
==Scripting== <!--T:9-->
{{Emphasis|See also:}} [[Arch API]], [[Reinforcement API]] and [[FreeCAD Scripting Basics]].


<!--T:10-->
<!--T:10-->
The {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Helical Rebar}} tool can by used in [[macros]] and from the python console by using the following function:
The Helical Rebar tool can be used in [[macros]] and from the [[Python]] console by using the following function:
</translate>
</translate>
{{Code|code=
{{Code|code=
makeHelicalRebar(SideCover, BottomCover, Diameter, TopCover, Pitch, Structure, Facename)
Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
}}
}}
<translate>
<translate>
<!--T:11-->
* Adds a Straight reinforcing bar object to the given structural object.
* If no Structure and Facename is given, it will take user selected face as input.
* Here CoverAlong argument is having type tuple.
* Returns the new Rebar object.


<!--T:12-->
<!--T:11-->
* Creates a {{incode|Rebar}} object from the given {{incode|structure}}, which is an [[Arch Structure]], and {{incode|facename}}, which is a face of that structure.
Example:
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
* {{incode|s_cover}}, {{incode|b_cover}}, and {{incode|t_cover}} are inner offset distances for the rebar with respect to the faces of the structure. They are respectively the side, bottom, and top offsets.
* {{incode|diameter}} is the diameter of the reinforcement spiral inside the structure.
* {{incode|pitch}} is the parameter that determines how close or far apart each spiral loop is to each other.


<!--T:13-->
=== Example === <!--T:18-->
Creating Helical rebar.
</translate>
</translate>
{{Code|code=
{{Code|code=
import Arch, Draft, HelicalRebar
import FreeCAD, Draft, Arch, HelicalRebar

# Creating circle
Circle = Draft.makeCircle(radius=250)
pl=FreeCAD.Placement()
Structure = Arch.makeStructure(Circle)
pl.Rotation.Q=(0.0,-0.0,-0.0,1.0)
Structure.ViewObject.Transparency = 80
pl.Base=FreeCAD.Vector(-1.0,-1.0,0.0)
circle = Draft.makeCircle(radius=130.107647738,placement=pl,face=True,support=None)
Draft.autogroup(circle)
# Creating Structure element from circle
structure = Arch.makeStructure(circle)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()

# Creating Helical rebar
rebar = HelicalRebar.makeHelicalRebar(20, 50, 8, 50, 50, structure, "Face2")
Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")
}}
}}
<translate>
<translate>

<!--T:14-->
Changing properties of Helical rebar.
=== Edition of the rebar === <!--T:19-->
You can change the properties of the rebar with the following function

</translate>
</translate>
{{Code|code=
{{Code|code=
editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
import HelicalRebar
HelicalRebar.editHelicalRebar(rebar, 20, 100, 12, 100, 100)
}}
}}
<translate>


<!--T:20-->
* {{incode|Rebar}} is a previously created {{incode|HelicalRebar}} object.
* The other parameters are the same as required by the {{incode|makeHelicalRebar()}} function.
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.

</translate>
{{Code|code=
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)
}}
<translate>
<translate>
<!--T:15-->
[[Category:Arch]]
{{docnav|[[Arch_Rebar_Stirrup|Stirrup Rebar]]|[[Arch_Rebar_ColumnReinforcement|ColumnReinforcement]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar_Stirrup.svg|IconC=Workbench_Arch.svg |IconR=Arch_Rebar_ColumnReinforcement.svg}}

<!--T:22-->
{{Arch Tools navi}}

<!--T:23-->
{{Userdocnavi}}

<!--T:24-->
[[Category:Reinforcement]]
</translate>
</translate>

Revision as of 18:29, 20 August 2019

Arch Rebar Helical

Menu location
Arch → Rebar tools
Workbenches
Arch, BIM
Default shortcut
None
Introduced in version
0.17
See also
Stirrup Rebar, Column Reinforcement

Description

The Helical Rebar tool allows the user to create a continuous helical reinforcing bar inside an Arch Structure object.

This command is part of the Reinforcement Addon, that you can install with the Addon Manager, via the menu Tools → Addon manager → Reinforcement.

One continuous helical reinforcement bar inside an Arch Structure

How to use

  1. Select any face of a previously created Arch Structure object.
  2. Then select Helical Rebar from the rebar tools.
  3. A task panel will pop-out on the left side of the screen as shown below.
  4. Select the desired orientation.
  5. Give the inputs like front cover, right side cover, left side cover, bottom cover and diameter of the rebar.
  6. Select the mode of distribution either amount or spacing.
  7. If spacing is selected, a user can also opt for custom spacing.
  8. Pick selected face is used to verify or change the face for rebar distribution.
  9. Click OK or Apply to generate the rebars.
  10. Click Cancel to exit the task panel.

Taskview panel for the Arch Rebar Helical tool

Properties

  • DataSide Cover: The distance between rebar to the curved face.
  • DataTop Cover: The distance between rebar from the top face of the structure.
  • DataBottom Cover: The distance between rebar from the bottom face of the structure.
  • DataPitch: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
  • DataDiameter: Diameter of the rebar.

Scripting

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

The Helical Rebar tool can be used in macros and from the Python console by using the following function:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • s_cover, b_cover, and t_cover are inner offset distances for the rebar with respect to the faces of the structure. They are respectively the side, bottom, and top offsets.
  • diameter is the diameter of the reinforcement spiral inside the structure.
  • pitch is the parameter that determines how close or far apart each spiral loop is to each other.

Example

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Edition of the rebar

You can change the properties of the rebar with the following function

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar is a previously created HelicalRebar object.
  • The other parameters are the same as required by the makeHelicalRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)